modules

# Class: accountContainer Source Location: /lib/modules.inc
### Class Overview
This class includes all modules and attributes of an account. | ### Variables $attributes $attributes_orig $dnSuffix $dn_orig $finalDN $isNewAccount $rdn | ### Methods __construct continue_main fixLDAPAttributes getAccountModule getAccountModules getParentDN getRDN get_pdfEntries get_type load_account new_account save_account save_module_attributes setNewPassword sortModules __sleep __wakeup
### Class Details [line 629] This class includes all modules and attributes of an account. [ Top ] ### Class Variables #### $attributes = [line 658] Array of all used attributes Syntax is attribute => array ( objectClass => MUST or MAY, ...) #### Tags:
access: | public
Type: | mixed
[ Top ] #### $attributes_orig = [line 682] original LDAP attributes when account was loaded from LDAP #### Tags:
access: | public
Type: | mixed
[ Top ] #### $dnSuffix = [line 670] DN suffix of the account #### Tags:
access: | public
Type: | mixed
[ Top ] #### $dn_orig = [line 673] DN suffix of account when it was loaded #### Tags:
access: | public
Type: | mixed
[ Top ] #### $finalDN = [line 679] DN of saved account #### Tags:
access: | public
Type: | mixed
[ Top ] #### $isNewAccount = [line 697] True if this is a newly created account #### Tags:
access: | public
Type: | mixed
[ Top ] #### $rdn = [line 676] RDN attribute of this account #### Tags:
access: | public
Type: | mixed
[ Top ] ### Class Methods ### constructor __construct [line 637]
`accountContainer __construct( string $type, string $base)`
Constructor #### Parameters:
string | $type | account type
string | $base | key in $_SESSION where this object is saved
[ Top ] ### method continue_main [line 747]
`void continue_main( )`
This function is called when the user clicks on any button on the account pages. It prints the HTML code of each account page. [ Top ] ### method fixLDAPAttributes [line 1431]
`array fixLDAPAttributes( array $attributes, array $modules)`
Fixes spelling errors in the attribute names. #### Tags:
return: | fixed attributes
#### Parameters:
array | $attributes | LDAP attributes
array | $modules | list of active modules
[ Top ] ### method getAccountModule [line 716]
`baseModule getAccountModule( string $name)`
Returns the account module with the given class name #### Tags:
return: | account module
#### Parameters:
string | $name | class name (e.g. posixAccount)
[ Top ] ### method getAccountModules [line 730]
`array getAccountModules( )`
Returns the included account modules. #### Tags:
return: | modules
[ Top ] ### method getParentDN [line 1832]
`String getParentDN( String $dn)`
Returns the parent DN of a given DN. #### Tags:
return: | DN
#### Parameters:
String | $dn | DN
[ Top ] ### method getRDN [line 1820]
`String getRDN( String $dn)`
Returns the RDN part of a given DN. #### Tags:
return: | RDN
#### Parameters:
String | $dn | DN
[ Top ] ### method get_pdfEntries [line 1722]
`list get_pdfEntries( )`
Returns a list of possible PDF entries for this account. #### Tags:
return: | of PDF entries (array(<name> => <PDF lines>))
[ Top ] ### method get_type [line 739]
`string get_type( )`
Returns the accout type of this object (e.g. user, group, host). #### Tags:
return: | account type
[ Top ] ### method load_account [line 1369]
`array load_account( string $dn)`
Loads an LDAP account with the given DN. #### Tags:
return: | error messages
#### Parameters:
string | $dn | the DN of the account
[ Top ] ### method new_account [line 1504]
`void new_account( )`
This function will prepare the object for a new account. [ Top ] ### method save_account [line 1539]
`array save_account( )`
This function will save an account to the LDAP database. #### Tags:
return: | list of status messages if any errors occured
[ Top ] ### method save_module_attributes [line 1290]
`array save_module_attributes( array $attributes, array $orig)`
This function checks which LDAP attributes have changed while the account was edited. #### Tags:
return: | an array which can be passed to $this->saveAccount()
#### Parameters:
array | $attributes | list of current LDAP attributes
array | $orig | list of old attributes when account was loaded
[ Top ] ### method setNewPassword [line 1011]
`void setNewPassword( array $input)`
Sets the new password in all selected account modules. #### Tags:
access: | public
#### Parameters:
array | $input | input parameters
[ Top ] ### method sortModules [line 1739]
`void sortModules( )`
Sorts the module buttons for the account page. [ Top ] ### method __sleep [line 1858]
`array __sleep( )`
Encrypts sensitive data before storing in session. #### Tags:
return: | list of attributes which are serialized
[ Top ] ### method __wakeup [line 1870]
`void __wakeup( )`
Decrypts sensitive data after accountContainer was loaded from session. [ Top ] Documentation generated on Tue, 22 Nov 2011 16:29:57 +0100 by phpDocumentor 1.4.1